PaginationParameters (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.taglib.PaginationParameters class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.taglib
Class PaginationParameters

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.hyperic.hq.ui.taglib.PaginationParameters

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

Direct Known Subclasses:
  Pagination

    public class PaginationParameters

extends javax.servlet.jsp.tagext.TagSupport

generate pagination info for a spicified list.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`PaginationParameters()`

Method Summary
`java.lang.String` | `getAction()` Getter for property action.
`java.lang.String` | `getDefaultSortColumn()` Getter for property defaultSortColumn.
`java.lang.String` | `getItems()` Getter for property items.
`java.lang.Integer` | `getListTotalSize()` Getter for property listTotalSsize.
`java.lang.Integer` | `getMaxPages()` Getter for property maxPages.
`java.lang.String` | `getOrderValue()` Getter for property order.
`java.lang.Integer` | `getPageNumber()` Getter for property string.
`java.lang.Integer` | `getPageSize()` Getter for property pageSize.
`java.lang.String` | `getPageSizeValue()` Getter for property pageSize.
`java.lang.String` | `getPageValue()` Getter for property pageValue.
`java.lang.String` | `getSortValue()` Getter for property sort.
`boolean` | `isIncludeFirstLast()` Getter for property includeFirstLast.
`boolean` | `isIncludePreviousNext()` Getter for property includePreviousNext.
`void` | `release()` Release tag state.
`void` | `setAction(java.lang.String action)` Setter for property action.
`void` | `setDefaultSortColumn(java.lang.String defaultSortColumn)` Setter for property defaultSortColumn.
`void` | `setIncludeFirstLast(boolean includeFirstLast)` Setter for property includeFirstLast.
`void` | `setIncludePreviousNext(boolean includePreviousNext)` Setter for property includePreviousNext.
`void` | `setItems(java.lang.String items)` Setter for property items.
`void` | `setListTotalSize(java.lang.Integer listTotalSize)` Setter for property listTotalsize.
`void` | `setMaxPages(java.lang.Integer maxPages)` Setter for property maxPages.
`void` | `setOrderValue(java.lang.String orderValue)` Setter for property order.
`void` | `setPageNumber(java.lang.Integer pageNumber)` Setter for property string.
`void` | `setPageSize(java.lang.Integer pageSize)` Setter for property pageSize.
`void` | `setPageSizeValue(java.lang.String pageSizeValue)` Setter for property pageSize.
`void` | `setPageValue(java.lang.String pageValue)` Setter for property pageValue.
`void` | `setSortValue(java.lang.String sortValue)` Setter for property sort.

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, doStartTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PaginationParameters

    public PaginationParameters()

Method Detail

### getOrderValue

    public java.lang.String getOrderValue()

  Getter for property order.

  Returns:
    Value of property order.

### setOrderValue

    public void setOrderValue(java.lang.String orderValue)

  Setter for property order.

  Parameters:
    `order` - New value of property order.

### getItems

    public java.lang.String getItems()

  Getter for property items.

  Returns:
    Value of property items.

### setItems

    public void setItems(java.lang.String items)

  Setter for property items.

  Parameters:
    `items` - New value of property items.

### getPageSizeValue

    public java.lang.String getPageSizeValue()

  Getter for property pageSize.

  Returns:
    Value of property pageSize.

### setPageSizeValue

    public void setPageSizeValue(java.lang.String pageSizeValue)

  Setter for property pageSize.

  Parameters:
    `pageSize` - New value of property pageSize.

### getSortValue

    public java.lang.String getSortValue()

  Getter for property sort.

  Returns:
    Value of property sort.

### setSortValue

    public void setSortValue(java.lang.String sortValue)

  Setter for property sort.

  Parameters:
    `sort` - New value of property sort.

### getAction

    public java.lang.String getAction()

  Getter for property action.

  Returns:
    Value of property action.

### setAction

    public void setAction(java.lang.String action)

  Setter for property action.

  Parameters:
    `action` - New value of property action.

### getMaxPages

    public java.lang.Integer getMaxPages()

  Getter for property maxPages.

  Returns:
    Value of property maxPages.

### setMaxPages

    public void setMaxPages(java.lang.Integer maxPages)

  Setter for property maxPages.

  Parameters:
    `maxPages` - New value of property maxPages.

### isIncludeFirstLast

    public boolean isIncludeFirstLast()

  Getter for property includeFirstLast.

  Returns:
    Value of property includeFirstLast.

### setIncludeFirstLast

    public void setIncludeFirstLast(boolean includeFirstLast)

  Setter for property includeFirstLast.

  Parameters:
    `includeFirstLast` - New value of property includeFirstLast.

### isIncludePreviousNext

    public boolean isIncludePreviousNext()

  Getter for property includePreviousNext.

  Returns:
    Value of property includePreviousNext.

### setIncludePreviousNext

    public void setIncludePreviousNext(boolean includePreviousNext)

  Setter for property includePreviousNext.

  Parameters:
    `includePreviousNext` - New value of property includePreviousNext.

### getPageSize

    public java.lang.Integer getPageSize()

  Getter for property pageSize.

  Returns:
    Value of property pageSize.

### setPageSize

    public void setPageSize(java.lang.Integer pageSize)

  Setter for property pageSize.

  Parameters:
    `pageSize` - New value of property pageSize.

### getListTotalSize

    public java.lang.Integer getListTotalSize()

  Getter for property listTotalSsize.

  Returns:
    Value of property listTotalSsize.

### setListTotalSize

    public void setListTotalSize(java.lang.Integer listTotalSize)

  Setter for property listTotalsize.

  Parameters:
    `listTotalsize` - New value of property listTotalsize.

### getPageValue

    public java.lang.String getPageValue()

  Getter for property pageValue.

  Returns:
    Value of property pageValue.

### setPageValue

    public void setPageValue(java.lang.String pageValue)

  Setter for property pageValue.

  Parameters:
    `pageValue` - New value of property pageValue.

### getDefaultSortColumn

    public java.lang.String getDefaultSortColumn()

  Getter for property defaultSortColumn.

  Returns:
    Value of property defaultSortColumn.

### setDefaultSortColumn

    public void setDefaultSortColumn(java.lang.String defaultSortColumn)

  Setter for property defaultSortColumn.

  Parameters:
    `defaultSortColumn` - New value of property defaultSortColumn.

### release

    public void release()

  Release tag state.

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `javax.servlet.jsp.tagext.TagSupport`

### getPageNumber

    public java.lang.Integer getPageNumber()

  Getter for property string.

  Returns:
    Value of property string.

### setPageNumber

    public void setPageNumber(java.lang.Integer pageNumber)

  Setter for property string.

  Parameters:
    `string` - New value of property string.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.